[arch-commits] Commit in gtk2-perl/repos (extra-x86_64 extra-x86_64/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Apr 11 17:57:06 EDT 2009


    Date: Saturday, April 11, 2009 @ 17:57:06
  Author: jgc
Revision: 35301

Merged revisions 35300 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/gtk2-perl/trunk

........
  r35300 | jgc | 2009-04-11 21:56:55 +0000 (Sat, 11 Apr 2009) | 1 line
  
  upgpkg: gtk2-perl 1.220-1
........

Modified:
  gtk2-perl/repos/extra-x86_64/	(properties)
  gtk2-perl/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |   14 +++++++-------
 1 file changed, 7 insertions(+), 7 deletions(-)


Property changes on: gtk2-perl/repos/extra-x86_64
___________________________________________________________________
Modified: svnmerge-integrated
   - /gtk2-perl/trunk:1-987
   + /gtk2-perl/trunk:1-35300

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2009-04-11 21:56:55 UTC (rev 35300)
+++ extra-x86_64/PKGBUILD	2009-04-11 21:57:06 UTC (rev 35301)
@@ -4,26 +4,26 @@
 
 pkgname=gtk2-perl
 _realname=Gtk2
-pkgver=1.182
+pkgver=1.220
 pkgrel=1
 pkgdesc="Gtk2-Perl allows Perl developers to write GTK+ 2.x applications."
 arch=(i686 x86_64)
 license=('LGPL')
 url="http://gtk2-perl.sourceforge.net/"
 makedepends=('perl-extutils-pkgconfig' 'perl-extutils-depends')
-depends=('gtk2>=2.12.9-2' 'glib-perl>=1.182' 'cairo-perl>=1.060' 'perl>=5.10.0')
+depends=('gtk2>=2.12.9-2' 'pango-perl>=1.220')
 options=('!emptydirs')
 source=(http://downloads.sourceforge.net/sourceforge/gtk2-perl/${_realname}-${pkgver}.tar.gz)
-md5sums=('4ebd8fd38e551c319ddb638d26b525e3')
+md5sums=('76e4f3ca3f9f80dc15a35ff9b88f736d')
 
 build() {
-  cd ${startdir}/src/${_realname}-${pkgver}
+  cd "${srcdir}/${_realname}-${pkgver}"
   # install module in vendor directories.
   PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor || return 1
   make || return 1
-  make install DESTDIR=${startdir}/pkg || return 1
+  make install DESTDIR="${pkgdir}" || return 1
 
   # remove perllocal.pod and .packlist
-  find ${startdir}/pkg -name perllocal.pod -delete
-  find ${startdir}/pkg -name .packlist -delete
+  find "${pkgdir}" -name perllocal.pod -delete
+  find "${pkgdir}" -name .packlist -delete
 }



More information about the arch-commits mailing list